Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Add oauth depenency #1503

Merged
merged 2 commits into from Mar 15, 2019

Conversation

Projects
None yet
2 participants
@cornelinux
Copy link
Member

cornelinux commented Mar 14, 2019

We need the python-oauth2client for the Firebase SMS provder a.k.a. Push
Token.

This is also available on Ubuntu 16.04 for python 2.7.
The version in Ubuntu 14.04 is too old.
But users with 14.04 should upgrade to 16.04 anyways.

Add oauth depenency
We need the python-oauth2client for the Firebase SMS provder a.k.a. Push
Token.

This is also available on Ubuntu 16.04 for python 2.7.
The version in Ubuntu 14.04 is too old.
But users with 14.04 should upgrade to 16.04 anyways.

@cornelinux cornelinux requested a review from privacyidea/core Mar 14, 2019

@codecov

This comment has been minimized.

Copy link

codecov bot commented Mar 14, 2019

Codecov Report

Merging #1503 into master will increase coverage by 0.03%.
The diff coverage is n/a.

Impacted file tree graph

@@            Coverage Diff             @@
##           master    #1503      +/-   ##
==========================================
+ Coverage    96.8%   96.84%   +0.03%     
==========================================
  Files         144      144              
  Lines       17250    17471     +221     
==========================================
+ Hits        16699    16919     +220     
- Misses        551      552       +1
Impacted Files Coverage Δ
privacyidea/lib/authcache.py 100% <0%> (ø) ⬆️
privacyidea/lib/tokenclass.py 98.77% <0%> (ø) ⬆️
privacyidea/lib/policydecorators.py 99.36% <0%> (+0.12%) ⬆️
privacyidea/lib/tokens/totptoken.py 99.05% <0%> (+0.2%) ⬆️

Continue to review full report at Codecov.

Legend - Click here to learn more
Δ = absolute <relative> (impact), ø = not affected, ? = missing data
Powered by Codecov. Last update c89c545...14680cd. Read the comment docs.

@fredreichbier

This comment has been minimized.

Copy link
Member

fredreichbier commented Mar 14, 2019

Looks good! But could you add oauth2client also to requirements.txt and setup.py, such that the unit tests on Travis can run?

Add oauthclient dependency to requirements and setup.py
Chooses 2.0.1 since this is the
version on Ubuntu 16.04 which comes with the necessary
serviceaccount.
@cornelinux

This comment has been minimized.

Copy link
Member Author

cornelinux commented Mar 15, 2019

Done in 14680cd

@fredreichbier

This comment has been minimized.

Copy link
Member

fredreichbier commented Mar 15, 2019

Thanks!

@fredreichbier fredreichbier merged commit 8ca506d into master Mar 15, 2019

5 checks passed

ci/circleci Your tests passed on CircleCI!
Details
codecov/patch Coverage not affected when comparing c89c545...14680cd
Details
codecov/project 96.84% (+0.03%) compared to c89c545
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
continuous-integration/travis-ci/push The Travis CI build passed
Details

@fredreichbier fredreichbier deleted the oauth-dependency branch Mar 15, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.